Package org.apache.solr.client.solrj.request

## Class SegmentsApi.GetSegmentData

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<SegmentsApi.GetSegmentDataResponse>
  - - org.apache.solr.client.solrj.request.SegmentsApi.GetSegmentData

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SegmentsApi

    public static class SegmentsApi.GetSegmentData
    extends SolrRequest<SegmentsApi.GetSegmentDataResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`GetSegmentData​(String coreName)` Create a GetSegmentData request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SegmentsApi.GetSegmentDataResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`SolrParams` `getParams()`
`Set<String>` `getQueryParams()` Parameter keys that are sent via the query string
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setCoreInfo​(Boolean coreInfo)`
`void` `setFieldInfo​(Boolean fieldInfo)`
`void` `setRawSize​(Boolean rawSize)`
`void` `setRawSizeDetails​(Boolean rawSizeDetails)`
`void` `setRawSizeSamplingPercent​(Float rawSizeSamplingPercent)`
`void` `setRawSizeSummary​(Boolean rawSizeSummary)`
`void` `setSizeInfo​(Boolean sizeInfo)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetSegmentData

    public GetSegmentData​(String coreName)

Create a GetSegmentData request object.

Parameters:
  `coreName` - Path param -

### Method Detail

#### setCoreInfo

    public void setCoreInfo​(Boolean coreInfo)

Parameters:
  `coreInfo` - Boolean flag to include metadata (e.g. index an data directories, IndexWriter configuration, etc.) about each shard leader's core

#### setFieldInfo

    public void setFieldInfo​(Boolean fieldInfo)

Parameters:
  `fieldInfo` - Boolean flag to include statistics about the indexed fields present on each shard leader.

#### setRawSize

    public void setRawSize​(Boolean rawSize)

Parameters:
  `rawSize` - Boolean flag to include simple estimates of the disk size taken up by each field (e.g. \"id\", \"_version_\") and by each index data structure (e.g. 'storedFields', 'docValues_numeric').

#### setRawSizeSummary

    public void setRawSizeSummary​(Boolean rawSizeSummary)

Parameters:
  `rawSizeSummary` - Boolean flag to include more involved estimates of the disk size taken up by index data structures, on a per-field basis (e.g. how much data does the \"id\" field contribute to 'storedField' index files). More detail than 'rawSize', less detail than 'rawSizeDetails'.

#### setRawSizeDetails

    public void setRawSizeDetails​(Boolean rawSizeDetails)

Parameters:
  `rawSizeDetails` - Boolean flag to include detailed statistics about the disk size taken up by various fields and data structures. More detail than 'rawSize' and 'rawSizeSummary'.

#### setRawSizeSamplingPercent

    public void setRawSizeSamplingPercent​(Float rawSizeSamplingPercent)

Parameters:
  `rawSizeSamplingPercent` - Percentage (between 0 and 100) of data to read when estimating index size and statistics. Defaults to 5.0 (i.e. 5%).

#### setSizeInfo

    public void setSizeInfo​(Boolean sizeInfo)

Parameters:
  `sizeInfo` - Boolean flag to include information about the largest index files for each Lucene segment.

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<SegmentsApi.GetSegmentDataResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<SegmentsApi.GetSegmentDataResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<SegmentsApi.GetSegmentDataResponse>`

#### getQueryParams

    public Set<String> getQueryParams()

Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<SegmentsApi.GetSegmentDataResponse>`

#### createResponse

    protected SegmentsApi.GetSegmentDataResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<SegmentsApi.GetSegmentDataResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<SegmentsApi.GetSegmentDataResponse>`
Returns:
  The `ResponseParser`